
import sys
def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList

#########################################
#
# Open security.xml 
#
#########################################

sec = AdminConfig.list("Security" )

#########################################
#
# Locate systemLoginConfig 
#
#########################################

slc = AdminConfig.showAttribute(sec, "systemLoginConfig" )

entries = wsadminToList(AdminConfig.showAttribute(slc, "entries" ))

#########################################
#
# Remove the DESERIALIZE_ASYNCH_CONTEXT login configuration 
#
#########################################

for entry in entries:
        alias = AdminConfig.showAttribute(entry, "alias" )
        if (alias == "DESERIALIZE_ASYNCH_CONTEXT"):
                AdminConfig.remove(entry )
                print "systemLoginConfig "+alias+" has been removed."
                break 

#########################################
#
# save the change
#
#########################################

AdminConfig.save( )

